﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System;

namespace SilverlightApplication1
{
    public class StaffMember
    {
        public string Name { get; set; }
        public string Department { get; set; }
        public ObservableCollection<Period> Periods { get; set; }
        public static List<StaffMember> GetData()
        {
            List<StaffMember> dataList = new List<StaffMember>();
            for (int i = 0; i < 3; i++)
            {
                StaffMember member = new StaffMember { Name = String.Format("Name#{0}", i), Department = String.Format("Department#{0}", i) };
                ObservableCollection<Period> periods = new ObservableCollection<Period>();
                for (int j = 0; j < 5; j++)
                    periods.Add(new Period() { Title = String.Format("Period#{0}-{1}", i, j), Hours = j });
                member.Periods = periods;
                dataList.Add(member);
            }
            return dataList;
        }
    }
}
